[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButtonFlag

Represents flag values that can be used in a TToolButton instance.

## Declaration

Source position: comctrls.pp line 2079

`type TToolButtonFlag = (`
`tbfPressed,` |  | The tool button is in a pressed or down state.
`tbfArrowPressed,` |  | The drop-down indicator is in a pressed or down state.
`tbfMouseInArrow,` |  | The mouse cursor is hovered over the drop-down indicator.
`tbfDropDownMenuShown` |  | The drop-down menu for the tool button is visible.
`);`

## Description

Values from TToolButton are stored in the TToolButtonFlags set type.

## See also

TToolButtonFlags |  | Set type used to store values from the TToolButtonFlag enumeration.
TToolButton |  | TToolButton is a button control used in a TToolBar object.